Lucene++ - a full-featured, c++ search engine
API Documentation

Data Structures | Namespaces
IndexWriter.h File Reference
`#include "MergePolicy.h"`

Go to the source code of this file.

## Data Structures

class | Lucene::IndexWriter
| An IndexWriter creates and maintains an index. More...
class | Lucene::IndexReaderWarmer
| If getReader has been called (ie, this writer is in near real-time mode), then after a merge completes, this class can be invoked to warm the reader on the newly merged segment, before the merge commits. This is not required for near real-time search, but will reduce search latency on opening a new near real-time reader after a merge completes. More...

## Namespaces

| Lucene

clucene.sourceforge.net